using Leanetec.EConnect.Client.Dto;
using Leanetec.EConnect.Domain.Entities;
using MediatR;

namespace Leanetec.EConnect.Client.Articles;

public record GetRequest(int? ArticleId = null) : HttpRequest<IEnumerable<Article>>, IRequest<IEnumerable<Article>>
{
}

public class GetRequestHandler : IRequestHandler<GetRequest, IEnumerable<Article>>
{
    public Task<IEnumerable<Article>> Handle(GetRequest request, CancellationToken cancellationToken)
    {
        throw new NotImplementedException();
    }
}